> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Add CIDs to Group



## OpenAPI

````yaml put /groups/{id}/cids
openapi: 3.0.0
info:
  title: Pinata API
  description: ''
  termsOfService: https://www.pinata.cloud/terms-conditions
  contact:
    name: Pinata Team
    email: team@pinata.cloud
  version: 1.0.0
servers:
  - url: https://api.pinata.cloud
security:
  - bearerAuth: []
paths:
  /groups/{id}/cids:
    put:
      tags:
        - default
      summary: Add CIDs to Group
      parameters:
        - name: id
          in: path
          schema:
            type: string
          required: true
          example: eaa137d2-fc36-43dd-80c1-cba1fd6c798e
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                cids:
                  type: array
                  items:
                    type: string
              example:
                cids:
                  - QmVLwvmGehsrNEvhcCnnsw5RQNseohgEkFNN1848zNzdng
                  - bafkreih5aznjvttude6c3wbvqeebb6rlx5wkbzyppv7garjiubll2ceym4
      responses:
        '200':
          description: OK
          headers:
            Date:
              schema:
                type: string
                example: Wed, 03 Jul 2024 18:17:02 GMT
            Content-Type:
              schema:
                type: string
                example: text/plain; charset=utf-8
            Content-Length:
              schema:
                type: integer
                example: '2'
            Connection:
              schema:
                type: string
                example: keep-alive
            X-Powered-By:
              schema:
                type: string
                example: Express
            Vary:
              schema:
                type: string
                example: Origin
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
                example: 'true'
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '180'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '179'
            X-RateLimit-Reset:
              schema:
                type: integer
                example: '1720030683'
            ETag:
              schema:
                type: string
                example: W/"2-nOO9QiTIwXgNtWtBJezz8kv3SLc"
            Strict-Transport-Security:
              schema:
                type: string
                example: max-age=15724800; includeSubDomains
            X-Request-Id:
              schema:
                type: string
                example: 00f3215befab568ca4c88123ba81b037
          content:
            text/plain:
              schema:
                type: string
              example: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````